### Enumeration

# Clutter SwipeDirection

#### Declaration

    flags Clutter.SwipeDirection

#### Description [src]

The main direction of the swipe gesture.

#### Members

`CLUTTER_SWIPE_DIRECTION_UP`

  Upwards swipe gesture.

  - Value: `1`
  - Available since: 14
`CLUTTER_SWIPE_DIRECTION_DOWN`

  Downwards swipe gesture.

  - Value: `2`
  - Available since: 14
`CLUTTER_SWIPE_DIRECTION_LEFT`

  Leftwards swipe gesture.

  - Value: `4`
  - Available since: 14
`CLUTTER_SWIPE_DIRECTION_RIGHT`

  Rightwards swipe gesture.

  - Value: `8`
  - Available since: 14